CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug {options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPTIONS]

--add-simple-plugin
    Lisää yksinkertainen lisäosa (eli lisäosa, jossa on vain .py-tiedosto) syöttämällä .py-tiedoston tiedostopolku

--command, -c
    Suorita Python-koodi.

--debug-device-driver, -d
    Laitteen tunnistamisen vianmääritys

--default-programs
    Lisää/Poistaa calibren Windows oletusohjelmiin/-sta. --default-programs = (register|unregister)

--diff
    Suorita calibre diff-työkalu. Esimerkiksi: calibre-debug --diff file1 file2

--edit-book
    Käynnistä calibren "Muokkaa kirjaa"-työkalu virheentunnistustilassa

--exec-file, -e
    Suorita tiedoston Python-koodi.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Sisäiseen käyttöön

--gui, -g
    Käynnistä GUI vianmääritys aktivoituna. Vianmääritys tulostaa virtoihin stdout ja stderr.

--gui-debug
    Käynnistä GUI vianmäärityskonsolin kanssa, kirjoittaen lokia määriteltyyn polkuun. Vain sisäiseen käyttöön, käytä parametria -g käynnistääksesi GUI:n vianmääritystilassa.

--help, -h
    näytä tämä ohjeviesti ja poistu

--implode-book, -i
    Kasaa aikaisemmin räjäytetty kirja. Käyttö: -i vientikansio tiedosto.epub Tuo kirjan vientikansion tiedostoista. Kansion sisällön tulee olla aikaisemmin luotu --explode_book-komennolla. Huomaa myös, että tiedostotyypin on oltava sama kuin lähdetiedoston.

--import-calibre-data
    Tuo aikaisemmin vietyjä calibre-tietoja

--inspect-mobi, -m
    Tutki MOBI-tiedostoja osoitetuissa poluissa

--paths
    Tulosta hakemistopolut, joita tarvitaan calibre-ympäristön määrittelyyn

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Pakottaa käynnissä olevien calibre-instanssien sammumisen. Huomaa, että tämä pakottaa kaikkien käynnissä olevien prosessien päättämisen, joten käytä varoen.

--subset-font, -f
    Poimi fontista vain käytetyt merkit. Lisää -- valinnan jälkeen, jotta se siirtyy fontinpoimintaohjelmaan.

--test-build
    Testaa buildin binäärimoduulit

--version
    näytä ohjelman versionumero ja poistu

--viewer, -w
    Suorita e-kirja virheentunnistusmoodissa

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal